import request from '@/utils/request'
const baseUrl = '/api/service-ai-eis-business-center-eistest/'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerTaskStg/add-container-task-stg',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function update(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerTaskStg/edit-container-task-stg',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerTaskStg/delete-container-task-stg',
    method: 'post',
    //   data: params,
    data: params,
  })
}
// 容器任务单区域配置-起点

// /containerTaskStg/detail-source-area
export function DetailSourceAreaapi(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerTaskStg/detail-source-area',
    method: 'post',
    data: params,
    // params: params
  })
}

// 容器任务单区域配置-终点 POST
// /containerTaskStg/detail-target-area
export function DetailTargetAreaapi(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerTaskStg/detail-target-area',
    method: 'post',
    data: params,
    // params: params
  })
}

//  容器任务单区域配置修改-起点 POST
export function EditSourceArea(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerTaskStg/edit-source-area',
    method: 'post',
    data: params,
    // params: params
  })
}

// 容器任务单区域配置-起点

// /containerTaskStg/edit-target-area
export function EditTargetArea(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerTaskStg/edit-target-area',
    method: 'post',
    data: params,
    // params: params
  })
}

//
